Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.turtle
Class Attributes

    java.lang.Object
      de.grogra.graph.Attributes
          de.grogra.imp.objects.Attributes
              de.grogra.imp3d.objects.Attributes
                  de.grogra.rgg.Attributes
                      de.grogra.turtle.Attributes

    public class Attributes

extends Attributes

Field Summary
`static FloatAttribute` | `ARGUMENT`
`static FloatAttribute` | `CARBON`
`static IntAttribute` | `DTG_COLOR`
`static IntAttribute` | `GENERATIVE_DISTANCE`
`static FloatAttribute` | `HEARTWOOD`
`static IntAttribute` | `INTERNODE_COUNT`
`static ObjectAttribute` | `LEFT`
`static IntAttribute` | `LOCAL_SCALE`
`static FloatAttribute` | `MASS`
`static IntAttribute` | `NO_OF_YEAR`
`static IntAttribute` | `ORDER`
`static FloatAttribute` | `PARAMETER`
`static FloatAttribute` | `REL_POSITION`
`static FloatAttribute` | `TROPISM_STRENGTH`
`static ObjectAttribute` | `TURTLE_MODIFIER`

Fields inherited from class de.grogra.rgg.Attributes
`I18N, STATE`

Fields inherited from class de.grogra.imp3d.objects.Attributes
`A, AREA_LIGHT, AXIS, B, BASE_OPEN, CSG_COMPLEMENT, CSG_DIFFERENCE, CSG_INTERSECTION, CSG_NONE, CSG_OPERATION, CSG_OPERATION_TYPE, CSG_UNION, END_POSITION, EXPORTED_TRANSFORMATION, EXPORTED_TRANSFORMATION_TYPE, INTERIOR, LIGHT, M1, M2, N11, N12, N13, N21, N22, N23, OPEN, PER_VERTEX_SIZE, POLYGONS, SCALE_V, SHADER, SHAPE, SHIFT_PIVOT, START_POSITION, TOP_OPEN, TRANSFORM, TRANSFORMATION, TREATED_AS_INFINITE, VISIBLE_SIDES, VISIBLE_SIDES_BACK, VISIBLE_SIDES_BOTH, VISIBLE_SIDES_FRONT, VISIBLE_SIDES_TYPE`

Fields inherited from class de.grogra.imp.objects.Attributes
`ANGLE, BASE_RADIUS, CAPTION, COLOR, CONTINUOUS_VERTICAL_ALIGNMENT, CURVE, FILL_COLOR, FILLED, FLATNESS, FLOAT_DATA, FONT, H_ALIGN_CENTER, H_ALIGN_LEFT, H_ALIGN_RIGHT, HEIGHT, HORIZONTAL_ALIGNMENT, HORIZONTAL_ALIGNMENT_TYPE, LENGTH, OUTLINED, RADIUS, SCALE, SURFACE, TOP_RADIUS, TRANSFORMING, V_ALIGN_BOTTOM, V_ALIGN_CENTER, V_ALIGN_TOP, VALUE, VERTEX_GRID, VERTEX_LIST, VERTICAL_ALIGNMENT, VERTICAL_ALIGNMENT_TYPE, WIDTH`

Fields inherited from class de.grogra.graph.Attributes
`LAYER, LAYER_COUNT, NAME, USER_FIELDS, WEIGHT`

Constructor Summary
`Attributes()`

Method Summary

Methods inherited from class de.grogra.imp3d.objects.Attributes
`isVisible`

Methods inherited from class de.grogra.graph.Attributes
`init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ARGUMENT

    public static final FloatAttribute ARGUMENT

### CARBON

    public static final FloatAttribute CARBON

### DTG_COLOR

    public static final IntAttribute DTG_COLOR

### GENERATIVE_DISTANCE

    public static final IntAttribute GENERATIVE_DISTANCE

### HEARTWOOD

    public static final FloatAttribute HEARTWOOD

### INTERNODE_COUNT

    public static final IntAttribute INTERNODE_COUNT

### LEFT

    public static final ObjectAttribute LEFT

### LOCAL_SCALE

    public static final IntAttribute LOCAL_SCALE

### MASS

    public static final FloatAttribute MASS

### NO_OF_YEAR

    public static final IntAttribute NO_OF_YEAR

### ORDER

    public static final IntAttribute ORDER

### PARAMETER

    public static final FloatAttribute PARAMETER

### REL_POSITION

    public static final FloatAttribute REL_POSITION

### TROPISM_STRENGTH

    public static final FloatAttribute TROPISM_STRENGTH

### TURTLE_MODIFIER

    public static final ObjectAttribute TURTLE_MODIFIER

Constructor Detail

### Attributes

    public Attributes()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD